## tmpreaper 1.4.7

=== Makefile ===
VERSION = 1.4.7

CC	:= gcc
CFLAGS  = -g -O2

SHELL = /bin/sh

# -------------------------------------------------
override CFLAGS += -Wall -DVERSION=\"$(VERSION)\"

all: tmpreaper

tmpreaper: tmpreaper.c

install:
	install -s -o root -g root -m 0755 tmpreaper $(PREFIX)/usr/sbin/tmpreaper
	install -o root -g root -m 0644 tmpreaper.8 $(PREFIX)/usr/man/man8/tmpreaper.8

clean:
	-rm -f tmpreaper core *~

# ----------- Archiving rules --------------------
tar.gz: clean
	tar --create --directory=.. --file=../tmpreaper-$(VERSION).tar $(shell basename `pwd`)
	gzip -9 ../tmpreaper-$(VERSION).tar

tar.bz2: clean
	tar --create --directory=.. --file=../tmpreaper-$(VERSION).tar $(shell basename `pwd`)
	bzip2 ../tmpreaper-$(VERSION).tar

=== debian/changelog ===
tmpreaper (1.4.7) frozen unstable; urgency=low

  * Apply bugfixes from Jorg Schuler <jcs@hatarakibachi.pond.sub.org>.
    See ChangeLog. (Fixes:#22903,#22934)
  
  * Jorg Schuler's patch also protects `.iroha' and `.ki2' (are they files
    or sockets?) in /tmp.
  
  * New function `dir_empty_p'; check that a dir is empty prior to
    rmdir().  (Fixes:#22770)

 -- Karl M. Hegbloom <karlheg@debian.org>  Sat, 30 May 1998 09:15:20 -0700

tmpreaper (1.4.6) frozen unstable; urgency=high

  * Also send into the freezer with hamm.
  * Fixed one lintian warning, and one lintian error.

 -- Karl M. Hegbloom <karlheg@debian.org>  Sun, 17 May 1998 18:59:48 -0700

tmpreaper (1.4.5) unstable; urgency=low

  * Implement the `--mtime' switch: (Fixes #19519)

 -- Karl M. Hegbloom <karlheg@debian.org>  Sun, 17 May 1998 17:32:41 -0700

tmpreaper (1.4.4) frozen unstable; urgency=high

  * (tmpreaper.c): Updated the year in copyright statement.
    - Added a missing newline to a message string in a rare fatal error.
    - Remembered args to flag test macros.
  * (tmpreaper.8): Split the overly complex brace expansion in the example
    into two separate --protect clauses. (Fixes #22528)
  * Further changes in ChangeLog.

 -- Karl M. Hegbloom <karlheg@debian.org>  Sun, 17 May 1998 11:47:47 -0700

tmpreaper (1.4.3-2) unstable; urgency=low

  * No need to line-buffer stderr.

 -- Karl M. Hegbloom <karlheg@debian.org>  Tue,  3 Feb 1998 15:59:12 -0800

tmpreaper (1.4.3-1) unstable; urgency=low

  * Use line-buffered I/O for stdout and stderr, so that even when the
    output is being piped to a file, it gets flushed after a newline.
    (see: APUE pp. 189-190)
    Bug pointed out by Joey Hess <joey@kitenet.net>.

 -- Karl M. Hegbloom <karlheg@debian.org>  Mon, 26 Jan 1998 19:55:43 -0800

tmpreaper (1.4.2-1) unstable; urgency=low

  * Put single quotes around <protect_pattern> in help output.
  * Start bumping the right version number. (I'll learn.)

 -- Karl M. Hegbloom <karlheg@debian.org>  Fri, 23 Jan 1998 03:30:54 -0800

tmpreaper (1.4.1-4) unstable; urgency=low

  * Removed `-m386 -malign-double' from CFLAGS in Makefile, fixes #16607
  * Added `build-stamp' to the `dh_clean' line in `debian/rules clean'
    Fixes #16608.

 -- Karl M. Hegbloom <karlheg@debian.org>  Fri,  9 Jan 1998 12:03:07 -0800

tmpreaper (1.4.1-3) unstable; urgency=low

  * Changed architecture from i386 to any.  I should work fine on the non-intel ports.
  * Address to @debian.org rather than @bittersweet.

 -- Karl M. Hegbloom <karlheg@debian.org>  Mon, 22 Dec 1997 20:10:25 -0800

tmpreaper (1.4.1-2) unstable; urgency=low

  * Added `Replaces: tmpwatch' to fix bug #15732

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Tue,  9 Dec 1997 03:09:49 -0800

tmpreaper (1.4.1-1) unstable; urgency=low

  * Renaming from `tmpwatch' to `tmpreaper' to split away from RedHat, who
    released a `tmpwatch-1.4' that had zero of the patches I sent them.
  
 -- Karl M. Hegbloom <karlheg@inetarena.com>  Sun,  7 Dec 1997 13:42:03 -0800

tmpwatch (1.4-2) unstable; urgency=low

  * Put under CVS, and begin to use `cvs-buildpackage', I hope.
  * Removed `--test' switch in "/etc/cron.daily/tmpwatch"
  * Updated the description in the control file -- I am letting the
    installer know about the cron script and what it will do, and am
    soliciting feedback regarding the cron script.
  * Moved to section admin, priority optional.  Should this be program
    be base/standard?
  * RedHat 5.0 is shipping `tmpwatch-1.4'; they've accepted my changes. :-)

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Thu,  4 Dec 1997 13:28:27 -0800

tmpwatch (1.4-1) unstable; urgency=low

  * Default the timespec back to hours, and make it so a suffix can be
    tacked onto it: `d', `h', `m', or `s' for days, hours, minutes, or
    seconds.  With no suffix, the time is in hours, to remain compatible
    with `tmpwatch-1.2'.
  * Update the cron.daily script to use the new syntax, and add `--verbose' for
    more copious output.
  * Updated the manual to reflect the change.
  
 -- Karl M. Hegbloom <karlheg@inetarena.com>  Sun, 16 Nov 1997 23:53:44 -0800

tmpwatch (1.3-2) unstable; urgency=low

  * I goofed and tried to use `' around things in the echo statements of
    the cron.daily script.  It's fixed now, no other changes.

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Sat, 15 Nov 1997 17:06:52 -0800

tmpwatch (1.3-1) unstable; urgency=high

  * Converted from RPMS source format to Debian/GNU/SPI source format using `alien'.
  * Added "#include <strings.h>" to fix compiler warning.
  * Wrote a simple "cron.daily" script.
  * Changed `grace' arg spec from "in hours" to "in seconds".
  * Added `--help' option and defaulted arg switch to `usage()'
  * Added "pretending to..." messages when `--test' is defined.
  * Improved the `message()' function.
  * Fixed `--test' so it actually functions instead of removing files.
  * Added `--protect' option to protect files matching a glob pattern from deletion.
    Meant for preventing the deletion of the X lock file and its Linux domain sockets.
  * Added `--symlinks' option to have it rm symlinks too.
  * Made `safe_chdir()' message when it refuses to cross a symlink, instead of
    defaulting and printing a cryptic message about an "intrusion attempt".
  * Improved Makefile and debian/rules
  * Modified manual page to reflect changes, and did some editting.
  * Much re-working and code reformatting... the diff is larger than the original source.
  * Please check my work and don't be afraid to report bugs.  I'm new at this.

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Sat, 15 Nov 1997 16:16:57 -0800

Local variables:
mode: debian-changelog
add-log-mailing-address: "karlheg@debian.org"
End:

=== debian/control ===
Source: tmpreaper
Section: admin
Priority: optional
Maintainer: Karl M. Hegbloom <karlheg@debian.org>
Standards-Version: 2.3.0.1

Package: tmpreaper
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: tmpwatch
Replaces: tmpwatch
Description: Cleans up files in directories based on their age
 This package provides a program that can be used to clean out temporary-file
 directories.  It recursively searches the directory, refusing to chdir()
 across symlinks, and removes files that haven't been accessed in a
 user-specified amount of time.  You can specify a set of files to protect
 from deletion with a shell pattern.  It will not remove files owned by the
 process EUID that have the `w' bit clear, unless you ask it to, much like
 `rm -f'.  `tmpreaper' will not remove symlinks, sockets, fifos, or special
 files unless given a command line option enabling it to.
 .
 WARNING:  Please do not run `tmpreaper' on `/'.  There are no protections
 against this written into the program, as that would prevent it from
 functioning the way you'd expect it to in a `chroot(8)' environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
package=tmpreaper

SHELL := /bin/sh
# `egcc' compiles much more quickly.
CC = gcc

VERSION=$(shell dpkg-parsechangelog 2>/dev/null				           \
		 | gawk -F:						           \
		    '$$1 ~ /Version/	{version    = gensub(/^ */,"",g,$$2)}      \
		     END { printf("%s_DEB", version) }')

# DH_VERBOSE = 1
export VERSION #DH_VERBOSE
# --------------------------------------------------------------

debian_version = $(shell dpkg-parsechangelog 2>/dev/null \
		     | sed -n -e 's/^Version: \([[:digit:]]\+:\)*\(.*\)$$/\2/p')

define check_cvs_status
	@echo "Checking CVS status for uncommited changes..."
	@if expr $$(cvs status 2>/dev/null	\
		    | grep '^File:'		\
		    | grep -vc 'Up-to-date')	\
	   '>' 0;				\
	then					\
	   echo "There are uncommited changes."; \
	   exit 1;				\
	else					\
	   echo "done."				\
	   exit 0;				\
	fi
endef

retag:
	$(check_cvs_status)
	cvs -Q tag -F debian_version_$(subst .,_,$(debian_version))

.PHONY:	 retag

# ======================================================================

build: build-stamp
build-stamp:
	dh_testdir
	make VERSION="$(VERSION)" all 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean build-stamp

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=debian/tmp install
	dh_installdocs
	dh_installcron
	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

.PHONY: build clean binary-arch binary

## tmpreaper 1.4.8

=== debian/changelog ===
tmpreaper (1.4.8) unstable; urgency=low

  * New maintainer.
  * Updated Standards-Version to 2.4.1.4.
  * Changed priority to extra, as you really only need this package if you
    have specialised requirements (i.e. a system with untrusted users).
  * Nothing significant changed, a couple of messages fixed to be more
    similar to the rest.
  * Converted C++ - style comments to plain C comments, as this isn't C++
    source.

 -- Paul Slootman <paul@debian.org>  Mon, 14 Sep 1998 15:04:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tmpreaper
 Section: admin
-Priority: optional
-Maintainer: Karl M. Hegbloom <karlheg@debian.org>
-Standards-Version: 2.3.0.1
+Priority: extra
+Maintainer: Paul Slootman <paul@debian.org>
+Standards-Version: 2.4.1.4
 
 Package: tmpreaper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,7 @@
 # `egcc' compiles much more quickly.
 CC = gcc
 
-VERSION=$(shell dpkg-parsechangelog 2>/dev/null				           \
-		 | gawk -F:						           \
-		    '$$1 ~ /Version/	{version    = gensub(/^ */,"",g,$$2)}      \
-		     END { printf("%s_DEB", version) }')
+VERSION=$(shell dpkg-parsechangelog 2>/dev/null | perl -ne 'print "$$1_DEB" if /^Version:\s+(.*)/')
 
 # DH_VERBOSE = 1
 export VERSION #DH_VERBOSE

## tmpreaper 1.4.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.4.7
+VERSION = 1.4.12
 
 CC	:= gcc
 CFLAGS  = -g -O2
@@ -14,7 +14,7 @@
 
 install:
 	install -s -o root -g root -m 0755 tmpreaper $(PREFIX)/usr/sbin/tmpreaper
-	install -o root -g root -m 0644 tmpreaper.8 $(PREFIX)/usr/man/man8/tmpreaper.8
+	install -o root -g root -m 0644 tmpreaper.8 $(PREFIX)/usr/share/man/man8/tmpreaper.8
 
 clean:
 	-rm -f tmpreaper core *~

=== debian/changelog ===
tmpreaper (1.4.12) stable unstable; urgency=high

  * Limit fork recursion to foil deep directory nesting attack.
    closes:#71249

 -- Paul Slootman <paul@debian.org>  Tue, 12 Sep 2000 11:56:27 +0200

tmpreaper (1.4.11) unstable; urgency=low

  * Handle filenames of the form ".a" correctly, not like "..". Oops.
    closes:#53245
  * Exclude lost+found in the example cron script. closes:#53285

 -- Paul Slootman <paul@debian.org>  Wed, 22 Dec 1999 17:44:21 +0100

tmpreaper (1.4.10) unstable; urgency=low

  * Updated Standards-Version to 3.0.1.
  * Fixed a formatting error in the manpage.

 -- Paul Slootman <paul@debian.org>  Wed, 27 Oct 1999 18:22:40 +0200

tmpreaper (1.4.9) unstable; urgency=low

  * Added --mtime-dir option to use mtime checking for directories only, which
    don't get removed when atime checking is used (reading the directory
    updates the atime!). closes:#34522
  * Put -mtime-dir into default cron entry.

 -- Paul Slootman <paul@debian.org>  Wed,  7 Apr 1999 09:50:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Paul Slootman <paul@debian.org>
-Standards-Version: 2.4.1.4
+Standards-Version: 3.0.1
 
 Package: tmpreaper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 package=tmpreaper
 
 SHELL := /bin/sh
-# `egcc' compiles much more quickly.
 CC = gcc
 
 VERSION=$(shell dpkg-parsechangelog 2>/dev/null | perl -ne 'print "$$1_DEB" if /^Version:\s+(.*)/')

## tmpreaper 1.5.1

=== debian/changelog ===
tmpreaper (1.5.1) unstable; urgency=high

  * The new automake / autoconf stuff lead to tmpreaper being installed into
    /usr/bin instead of /usr/sbin, which in turn leads the cron script to
    never execute tmpreaper. Oops. Hence this fix should be added to the
    archives ASAP.  closes:#124174
  * Local additions to the way tmpreaper runs can now be made via the
    /etc/tmpreaper.conf file, where the file age, extra protect patterns ans
    which directories to reap can be specified. There's a debconf note now
    explaining this when tmpreaper is installed.  For this, "set -f" is used
    to prevent the shell from globbing any patterns. AFAIK this is POSIX,
    ash at least understands this.

 -- Paul Slootman <paul@debian.org>  Sun,  2 Dec 2001 22:59:13 +0100

tmpreaper (1.5.0) unstable; urgency=low

  * Added getopt.c, getopt1.c, getopt.h so that it can be compiled without
    difficulty on non-linux systems (tested on Solaris). However, you lose
    the capability of using braces in your --protect patterns as glob()
    functions on other (non-linux) platforms don't offer that.
    Bumped the second number in the version to reflect this significant change.
  * Added autoconf stuff to figure out whether getopt.c etc. are needed,
    the braces thing in glob(), and more. Hence also included stuff like
    INSTALL, missing, and the other autoconf stuff.
    It now builds and runs on Solaris and NetBSD as well!
  * Use "exit(x)" instead of "return x" to terminate the forked processes,
    otherwise weird stuff happened on NetBSD; it seems the processes didn't
    in fact exit.
  * Changed priority to optional to comply with the overrides. Last time that
    change somehow got lost...
  * Ignore files that are marked immutable in ext2/ext3. This is a more
    generic workaround for ext3's journal file which now has a new name,
    and probably also makes sense for other files as well.  closes:#122090
  * Exclude quota.user and quota.group. Why can't these be stored in a
    "standard" place (/var/state/quota/ ?)... I see no technical reason why
    not. Oh well.  closes:#100675

 -- Paul Slootman <paul@debian.org>  Sun,  2 Dec 2001 22:59:13 +0100

tmpreaper (1.4.14) unstable; urgency=low

  * Changed priority to optional to comply with the overrides.
  * cron.daily file has /tmp/. instead of /tmp to accomodate /tmp being
    a symlink to some other directory. closes:#62791
  * Patches from Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de> to
    build on HURD. I hacked around this so that it should work as before on
    non-glibc systems. closes:#105433
  * Added journal.dat to the list of protected files (ext3 journal, Bad Things
    apparently happen if that is removed). closes:#63655
    It took so long for this (trivial) bug to be closed because it was first
    reported on tmpwatch, and was reassigned to tmpreaper after all
    discussion had took place. This meant I got zero notification about this
    bug via email, which sucks. I don't use the web pages very often...

 -- Paul Slootman <paul@debian.org>  Wed, 25 Jul 2001 15:26:04 +0200

tmpreaper (1.4.13) unstable; urgency=medium

  * close dirhandle after using it.       closes:#71660
  * fix checking for '.' and '..', which fixes a possibility of a directory
    being assumed empty while it wasn't.  closes:#99507
  * Added debhelper to Build-Depends.
  * Updated Standards-Version: to 3.5.
  * Added README for non-debian users, and updated LSM entry, and uploaded to
    sunsite.  Also renamed ChangeLog to ChangeLog.old, as that hadn't been
    updated for sime time. This debian changelog is now the "official"
    changelog now.

 -- Paul Slootman <paul@debian.org>  Sat,  2 Jun 2001 11:38:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: tmpreaper
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Paul Slootman <paul@debian.org>
-Standards-Version: 3.0.1
+Standards-Version: 3.5.5
+Build-Depends: debhelper, automake1.4, autoconf
 
 Package: tmpreaper
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, debconf
 Conflicts: tmpwatch
 Replaces: tmpwatch
 Description: Cleans up files in directories based on their age
@@ -22,3 +23,5 @@
  WARNING:  Please do not run `tmpreaper' on `/'.  There are no protections
  against this written into the program, as that would prevent it from
  functioning the way you'd expect it to in a `chroot(8)' environment.
+ .
+ The daily tmpreaper run can be configured through /etc/tmpreaper.conf .

=== debian/rules ===
--- 
+++ 
@@ -40,24 +40,32 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	make VERSION="$(VERSION)" all 
+	./configure --prefix=/usr --mandir=/usr/share/man
+	make CPPFLAGS="-DDEBIAN" tmpreaper
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	$(MAKE) clean
-	dh_clean build-stamp
+	-[ -s Makefile ] && $(MAKE) clean mostlyclean-am
+	automake
+	autoconf
+	-[ -s Makefile ] && $(MAKE) clean
+	dh_clean stamp-h config.status config.log config.h Makefile build-stamp tmpreaper tmpreaper.8
+	sleep 1
+	touch stamp-h.in
 
 binary-arch: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) PREFIX=debian/tmp install
+	$(MAKE) DESTDIR=debian/tmp install
 	dh_installdocs
 	dh_installcron
-	dh_installmanpages
+	dh_installdebconf
+	install -m 644 debian/tmpreaper.conf debian/tmp/etc
+	# dh_installmanpages
 	dh_installchangelogs
 	dh_strip
 	dh_compress

## tmpreaper 1.6.5

=== debian/changelog ===
tmpreaper (1.6.5) unstable; urgency=low

  * Use /dev/urandom instead of /dev/random to prevent blocking when entropy
    pool is empty. This probably makes it harder to subvert the random delay
    by emptying the entropy pool before the run is scheduled...
    closes:#216803
  * Don't only include fcntl.h on linux, is pretty standard and needed for
    compilation e.g. on Solaris.
  * make 'missing' a real file, instead of a symlink to /usr/share/....
  * Use ext2_fs.h from e2fs-libs-dev instead of libc6-dev, since the last one
    is now useless due to changes in the way kernel headers are included
    there. This means a Build-Depends is added on e2fslibs-dev.
    closes:#223222
  * Fixed manpage, which had not been updated when fixing bug 195262.  This is
    about whether the delay depends on being connected to a tty or not.
    closes:#222681
  * Fixed shell quoting in cron.daily script.
    ckises:#206106

 -- Paul Slootman <paul@debian.org>  Mon, 08 Dec 2003 12:50:11 +0100

tmpreaper (1.6.4) unstable; urgency=low

  * Added fr.po translation of debconf templates. closes:#201340

 -- Paul Slootman <paul@debian.org>  Mon, 21 Jul 2003 09:56:35 +0200

tmpreaper (1.6.3) unstable; urgency=low

  * Switched to gettext for the debconf templates, thanks to patch supplied
    with the bug report. closes:#200581
  * Applied patch to fix typos in patch for #200581. closes:#200622

 -- Paul Slootman <paul@debian.org>  Mon, 14 Jul 2003 13:14:31 +0200

tmpreaper (1.6.2) unstable; urgency=low

  * Added an TMPREAPER_ADDITIONALOPTIONS variable to tmpreaper.conf for
    passing additional options (duh) to tmpreaper.  closes:#169832
  * Added an option --showdeleted to make tmpreaper output what it has done.
    The output is in the form of shell commands, i.e. "rm /tmp/bla/file",
    "rmdir /tmp/bla". closes:#174228
  * Added an option --delay to make the delay at the beginning of execution
    configurable, instead of relying on whether stdin is a tty or not. Also
    added this option to the invocation in the cron.daily script.
    closes:#195262
  * In the daily cron output, mention that /etc/tmpreaper.conf needs to be
    edited to remove the message about README.security.gz in the daily cron
    output. closes:#195666

 -- Paul Slootman <paul@debian.org>  Mon,  2 Jun 2003 10:39:21 +0200

tmpreaper (1.6.1) unstable; urgency=low

  * Fix handling of large files (the bigger than 2GB ones). closes:#139125
  * Don't call autoconf, automake routinely from debian/rules. This only needs
    to be done when changing something in configure.ac or so.
    Hence can remove autoconf, automake from build-depends. closes:#137604
  * -a option shouldn't expect an argument, so fixed the getopt thing.
    closes:#137600
  * Don't display the warning about having to upgrade the cron.daily script if
    this is a fresh install. closes:#167783
  * Don't let the cron.daily script run by default; the administrator needs to
    enable it via a setting in /etc/tmpreaper.conf which indicates he/she
    understands the possible security implications of having tmpreaper run
    automatically. Also show a debconf note to that affect. closes:#174307
  * In /etc/tmpreaper.conf, use the TMPTIME value from /etc/default/rcS if
    available. This means that the age of files in /tmp is now basically
    determined in just one place (/etc/default/rcS) instead of two, which is a
    bit simpler.
    It may cause some confusion for those who have changed the value in
    tmpreaper.conf, though; so a debconf note is shown if tmpreaper.conf
    contains a non-default value. closes:#128585
  * When not running from a tty, delay before processing for a random amount
    of time to make it harder for attackers.
  * Run for a maximum of 55 seconds, to thwart attackers who try to delay its
    processing to take advantage to possible race conditions.

 -- Paul Slootman <paul@debian.org>  Wed, 21 May 2003 16:33:04 +0200

tmpreaper (1.6.0) unstable; urgency=low

  * Added --ctime option to make tmpreaper also check the ctime in addition to
    the atime. This is useful where the directory is accessible as a Samba
    share, as DOS PCs (including all the incarnations of Windows) will
    preserve the original mtime _and_ atime when copying files on such a
    share. This meant that recently copied files could disappear the next
    night. This is IMHO significant enough for a minor number bump...
    closes:#126143
  * Added --ctime option to tmpreaper invocation in /etc/cron.daily/tmpreaper
  * Improved some of the comments in /etc/cron.daily/tmpreaper to more
    accurately reflect the /etc/tmpreaper.conf situation.
  * Changed way default settings are done in cron.daily script, so that an
    empty conf file won't cause the defaults to be skipped. Also part of
    bug 126143.
  * Added tmpreaper.conf manpage.
  * Added german translation to debconf templates. closes:#128896

 -- Paul Slootman <paul@debian.org>  Tue,  5 Mar 2002 14:42:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Paul Slootman <paul@debian.org>
 Standards-Version: 3.5.5
-Build-Depends: debhelper, automake1.4, autoconf
+Build-Depends: debhelper (>= 4.1.16),e2fslibs-dev
 
 Package: tmpreaper
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
+Depends: ${shlibs:Depends}, debconf (>= 0.5.0)
 Conflicts: tmpwatch
 Replaces: tmpwatch
 Description: Cleans up files in directories based on their age

=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,8 @@
 	dh_testdir
 	dh_testroot
 	-[ -s Makefile ] && $(MAKE) clean mostlyclean-am
-	automake
-	autoconf
+	# automake
+	# autoconf
 	-[ -s Makefile ] && $(MAKE) clean
 	dh_clean stamp-h config.status config.log config.h Makefile build-stamp tmpreaper tmpreaper.8
 	sleep 1
@@ -64,7 +64,9 @@
 	dh_installdocs
 	dh_installcron
 	dh_installdebconf
-	install -m 644 debian/tmpreaper.conf debian/tmp/etc
+	install -m 644 debian/tmpreaper.conf   debian/tmp/etc
+	install -m 644 debian/tmpreaper.conf.5 debian/tmp/usr/share/man/man5
+	install -m 644 debian/README.security  debian/tmp/usr/share/doc/tmpreaper
 	# dh_installmanpages
 	dh_installchangelogs
 	dh_strip

## tmpreaper 1.6.6

=== debian/changelog ===
tmpreaper (1.6.6) unstable; urgency=low

  * Add --runtime option, for those cases where it's known that it may take a
    very long time to run. Thanks to Jaap Eldering for the patch, although I
    took a slightly different approach (short option -T instead of -r, as -r
    is often associated with recursive).
    closes:#332757
  * Check whether a subdirectory is a bind mount on the same file system to
    prevent unfortunate accidents that won't otherwise be prevented by the
    "not switching file systems" check. Patch from Eric Lammerts.
    closes:#237194
  * Add alternate dependency of debconf-2.0.
    closes:#332119
  * Updated version string and usage message.
    closes:#236563
  * Using --mtime together with --ctime makes no sense, so check for that
    combination and bail out if detected.
  * Added Czech debconf translation, thanks to Miroslav Kure.
    closes:#273523
  * Added Vietnamese debconf translation, thanks to Clytie Siddall.
    closes:#322312
  * Corrected debconf template text.
    closes:#322311
  * "--test --verbose=0 --showdeleted" will now show a list of files and
    directories that would (probably) have been deleted.
    closes:#236565
  * Updated policy version.

 -- Paul Slootman <paul@debian.org>  Thu, 02 Feb 2006 12:42:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 VERSION=$(shell dpkg-parsechangelog 2>/dev/null | perl -ne 'print "$$1_DEB" if /^Version:\s+(.*)/')
 
-# DH_VERBOSE = 1
-export VERSION #DH_VERBOSE
+export VERSION
 # --------------------------------------------------------------
 
 debian_version = $(shell dpkg-parsechangelog 2>/dev/null \
@@ -51,7 +50,8 @@
 	# automake
 	# autoconf
 	-[ -s Makefile ] && $(MAKE) clean
-	dh_clean stamp-h config.status config.log config.h Makefile build-stamp tmpreaper tmpreaper.8
+	dh_clean stamp-h config.status config.log config.h Makefile build-stamp tmpreaper tmpreaper.8 stamp-h.in
+	debconf-updatepo
 	sleep 1
 	touch stamp-h.in
 
@@ -60,13 +60,13 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) DESTDIR=debian/tmp install
+	$(MAKE) DESTDIR=debian/tmpreaper install
 	dh_installdocs
 	dh_installcron
 	dh_installdebconf
-	install -m 644 debian/tmpreaper.conf   debian/tmp/etc
-	install -m 644 debian/tmpreaper.conf.5 debian/tmp/usr/share/man/man5
-	install -m 644 debian/README.security  debian/tmp/usr/share/doc/tmpreaper
+	install -m 644 debian/tmpreaper.conf   debian/tmpreaper/etc
+	install -m 644 debian/tmpreaper.conf.5 debian/tmpreaper/usr/share/man/man5
+	install -m 644 debian/README.security  debian/tmpreaper/usr/share/doc/tmpreaper
 	# dh_installmanpages
 	dh_installchangelogs
 	dh_strip

## tmpreaper 1.6.7

=== debian/changelog ===
tmpreaper (1.6.7) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n bugs.
  * Add a binary-indep target to debian/rules. Closes: #395754
  * Debconf translations:
    - German. Closes: #367881

 -- Christian Perrier <bubulle@debian.org>  Tue, 13 Feb 2007 22:40:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Paul Slootman <paul@debian.org>
-Standards-Version: 3.5.5
-Build-Depends: debhelper (>= 4.1.16),e2fslibs-dev
+Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4), e2fslibs-dev
 
 Package: tmpreaper
 Architecture: any
-Depends: ${shlibs:Depends}, debconf (>= 0.5.0)
+Depends: ${shlibs:Depends}, debconf (>= 0.5.0) | debconf-2.0
 Conflicts: tmpwatch
 Replaces: tmpwatch
-Description: Cleans up files in directories based on their age
+Description: cleans up files in directories based on their age
  This package provides a program that can be used to clean out temporary-file
  directories.  It recursively searches the directory, refusing to chdir()
  across symlinks, and removes files that haven't been accessed in a

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,8 @@
 	sleep 1
 	touch stamp-h.in
 
+binary-indep: build install
+
 binary-arch: build
 	dh_testdir
 	dh_testroot
@@ -80,4 +82,4 @@
 
 binary: binary-arch
 
-.PHONY: build clean binary-arch binary
+.PHONY: build clean binary-indep binary-arch binary

## tmpreaper 1.6.9

=== debian/changelog ===
tmpreaper (1.6.9) unstable; urgency=low

  * Updated Spanish Debconf translation from Javier Fernández-Sanguino Peña.
    closes:#438832
  * Moving the shell code to the cron.daily script introduced an annoying but
    harmless bug (tmpreaper doesn't run). Fixed that.
    closes:#439003
  * Updated policy version.

 -- Paul Slootman <paul@debian.org>  Tue, 21 Aug 2007 11:15:57 +0200

tmpreaper (1.6.8) unstable; urgency=low

  * Shell code has been removed from the tmpreaper.conf file, now only
    variables are set there. Processing has moved to the cron.daily script,
    thanks to Mike Fedyk.
    closes:#196288
  * The abovementioned shell code failed if /etc/default/rcS doesn't exist
    (and hence $TMPTIME wasn't getting set). Applied patch from Maxim Doucet
    to only check the value if the grep showed it exists (very logical of
    course :-)
    closes:#435820
  * Let the maximum initial delay before processing be specified via the
    tmpreaper.conf file, and overridable via the command line when running the
    cron.daily script manually.
    closes:#374977
  * Corrected logic in checking for conflicting options, by applying patch
    supplied by Martin Dickopp (thanks!)
    closes:#353477
  * Updated manpage example for protecting X sockets to correspond to what's
    actually used in the cron.daily script (although both expand to the same
    thing). Prompted by #383967.
  * Updated manpage http links to articles as the reasons for tmpreaper's
    existence.
    closes:#355889
  * Fixed typos in README.security.
    closes:#370668
  * Portuguese Debconf translation from Pedro Ribeiro.
    closes:#425171
  * Updated German Debconf translation from Helge Kreutzmann.
    closes:#426021
  * Spanish Debconf translation from Javier Fernández-Sanguino Peña.
    closes:#437380
  * Give Joey Hess credit for his text I quoted in README.security.
    closes:#353355
  * Updated the language in the debconf template, and fixed a typo.
    closes:#353261,#401214

 -- Paul Slootman <paul@debian.org>  Fri, 17 Aug 2007 10:40:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Paul Slootman <paul@debian.org>
-Standards-Version: 3.6.2
-Build-Depends: debhelper (>= 4), e2fslibs-dev
+Standards-Version: 3.7.2.2
+Build-Depends: debhelper (>= 4), e2fslibs-dev, po-debconf
 
 Package: tmpreaper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -55,8 +55,6 @@
 	sleep 1
 	touch stamp-h.in
 
-binary-indep: build install
-
 binary-arch: build
 	dh_testdir
 	dh_testroot
@@ -82,4 +80,8 @@
 
 binary: binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary
+binary-indep:
+	@# dummy target, required by policy (see #395754)
+	@:
+
+.PHONY: build clean binary-arch binary binary-indep

## tmpreaper 1.6.10

=== debian/changelog ===
tmpreaper (1.6.10) unstable; urgency=low

  * Updated Czech debconf translation from Miroslav Kure.
    closes:#439273
  * Updated French debconf translation from Michel Grentzinger.
  * Added Galician debconf translation from Jacobo Tarrio.
    closes:#481981
  * Added Basque debconf translation from Piarres Beobide.
    closes:#482024
  * Added Russian debconf translation from Yuri Kozlov.
    closes:#482292
  * Handle "infinity" in /etc/default/rcS for TMPTIME.
    closes:#478136
  * Properly update the version output from "tmpreaper -h".
  * Updated Standards-Version to 3.7.3.0

 -- Paul Slootman <paul@debian.org>  Thu, 22 May 2008 16:23:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Paul Slootman <paul@debian.org>
-Standards-Version: 3.7.2.2
+Standards-Version: 3.7.3.0
 Build-Depends: debhelper (>= 4), e2fslibs-dev, po-debconf
 
 Package: tmpreaper

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	dh_testdir
 	./configure --prefix=/usr --mandir=/usr/share/man
 	make CPPFLAGS="-DDEBIAN" tmpreaper
+	./tmpreaper -h 2>&1 | grep 'tmpreaper -- Version: '$(debian_version)-DEB || (echo "You forgot to fix the VERSION in configure.ac!"; exit 1)
 	touch build-stamp
 
 clean:

## tmpreaper 1.6.11

=== debian/changelog ===
tmpreaper (1.6.11) unstable; urgency=low

  * Really allow --runtime=0 as described in the manpage (previously a minimum
    of 5 was enforced).

 -- Paul Slootman <paul@debian.org>  Mon, 06 Oct 2008 14:06:54 +0200

## tmpreaper 1.6.13

=== debian/changelog ===
tmpreaper (1.6.13) unstable; urgency=low

  * debconf config script could exit with status 30.

 -- Paul Slootman <paul@debian.org>  Thu, 17 Sep 2009 16:31:22 +0200

tmpreaper (1.6.12) unstable; urgency=low

  * Ignore any \+.*$ component in the version number when checking for the
    correct version number in configure.ac, to allow for NMUs.
    closes:#493405
  * Updated the tmpreaper.conf manpage to document TMPREAPER_DELAY and
    TMPREAPER_ADDITIONALOPTIONS.
    closes:#510754
  * Added Swedish debconf translation from Martin Bagge.
    closes:#508753
  * Added Japanese debconf translation from Hideki Yamane.
    closes:#522843
  * Added Italian debconf translation from Luca Monducci.
    closes:#544596
  * Updated Standards-Version to 3.8.3.0 (no further change necessary).
  * Bumped debhelper compat level to 5.

 -- Paul Slootman <paul@debian.org>  Thu, 17 Sep 2009 14:46:44 +0200

## tmpreaper 1.6.13+nmu1

=== debian/changelog ===
tmpreaper (1.6.13+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #581718

 -- Christian Perrier <bubulle@debian.org>  Wed, 04 Aug 2010 23:50:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Paul Slootman <paul@debian.org>
-Standards-Version: 3.7.3.0
-Build-Depends: debhelper (>= 4), e2fslibs-dev, po-debconf
+Standards-Version: 3.8.3.0
+Build-Depends: debhelper (>= 5), e2fslibs-dev, po-debconf
 
 Package: tmpreaper
 Architecture: any
-Depends: ${shlibs:Depends}, debconf (>= 0.5.0) | debconf-2.0
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5.0) | debconf-2.0
 Conflicts: tmpwatch
 Replaces: tmpwatch
 Description: cleans up files in directories based on their age

## tmpreaper 1.6.13+nmu1build1

=== debian/changelog ===
tmpreaper (1.6.13+nmu1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:47:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tmpreaper
 Section: admin
 Priority: optional
-Maintainer: Paul Slootman <paul@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
 Standards-Version: 3.8.3.0
 Build-Depends: debhelper (>= 5), e2fslibs-dev, po-debconf

## tmpreaper 1.6.13+nmu1+deb8u1

=== debian/changelog ===
tmpreaper (1.6.13+nmu1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-3461:
    There was a race condition when tmpreaper was testing for a (bind) mount,
    which was done via rename() which could potentially lead to a file being
    placed elsewhere on the filesystem hierarchy (e.g. /etc/cron.d/) if the
    directory being cleaned up was on the same physical filesystem.
    This has been fixed by using an alternative way of looking for bind mounts
    using code from mountpoint (from the util-linux package).

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 23 Jan 2019 09:33:21 +0100

## tmpreaper 1.6.13+nmu1+deb9u1

=== debian/changelog ===
tmpreaper (1.6.13+nmu1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * There was a race condition when tmpreaper was testing for a (bind) mount,
    which was done via rename() which could potentially lead to a file being
    placed elsewhere on the filesystem hierarchy (e.g. /etc/cron.d/) if the
    directory being cleaned up was on the same physical filesystem.
    This has been fixed by using an alternative way of looking for bind mounts
    using code from mountpoint (from the util-linux package).

 -- Paul Slootman <paul@debian.org>  Sat, 05 Jan 2019 16:25:06 +0100

## tmpreaper 1.6.13+nmu1+deb9u1build0.16.04.1

=== debian/changelog ===
tmpreaper (1.6.13+nmu1+deb9u1build0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Sync from Debian
    - fixes CVE-2019-3461.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 24 Jul 2019 15:25:43 -0300

## tmpreaper 1.6.13+nmu1+deb9u1build0.18.04.1

=== debian/changelog ===
tmpreaper (1.6.13+nmu1+deb9u1build0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Sync from Debian
    - fixes CVE-2019-3461. 

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 24 Jul 2019 14:53:53 -0300

## tmpreaper 1.6.13+nmu1+deb9u2

=== debian/changelog ===
tmpreaper (1.6.13+nmu1+deb9u2) stretch; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Add `--protect '/tmp/systemd-private*/*'` to cron job to prevent
    breaking systemd services that have PrivateTmp=true (closes: #881725).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 16 Sep 2019 09:39:51 +0200

## tmpreaper 1.6.14

=== debian/changelog ===
tmpreaper (1.6.14) unstable; urgency=medium

  * Upload to unstable to fix the race condition described in CVE-2019-3461:
    There was a race condition when tmpreaper was testing for a (bind) mount,
    which was done via rename() which could potentially lead to a file being
    placed elsewhere on the filesystem hierarchy (e.g. /etc/cron.d/) if the
    directory being cleaned up was on the same physical filesystem.
    This has been fixed by using an alternative way of looking for bind mounts
    using code from mountpoint (from the util-linux package).
    closes: #918956

 -- Paul Slootman <paul@debian.org>  Fri, 11 Jan 2019 13:27:15 +0100

## tmpreaper 1.6.14+deb10u1

=== debian/changelog ===
tmpreaper (1.6.14+deb10u1) buster; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Add `--protect '/tmp/systemd-private*/*'` to cron job to prevent
    breaking systemd services that have PrivateTmp=true (closes: #881725).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 16 Sep 2019 07:15:24 +0000

## tmpreaper 1.6.14+nmu1

=== debian/changelog ===
tmpreaper (1.6.14+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add `--protect '/tmp/systemd-private*/*'` to cron job to prevent
    breaking systemd services that have PrivateTmp=true (closes: #881725).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 06 Sep 2019 13:20:49 +0000

## tmpreaper 1.6.14+nmu2

=== debian/changelog ===
tmpreaper (1.6.14+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Mick Switser to fix protect on directory.
    (Closes: #636459)

 -- Adrian Bunk <bunk@debian.org>  Tue, 03 Aug 2021 08:35:41 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tmpreaper
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
+Maintainer: Paul Slootman <paul@debian.org>
 Standards-Version: 3.8.3.0
-Build-Depends: debhelper (>= 5), e2fslibs-dev, po-debconf
+Build-Depends: debhelper (>= 5), e2fslibs-dev, po-debconf, libmount-dev
 
 Package: tmpreaper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # --------------------------------------------------------------
 
 debian_version = $(shell dpkg-parsechangelog 2>/dev/null \
-		     | sed -n -e 's/^Version: \([[:digit:]]\+:\)*\(.*\)$$/\2/p')
+		     | sed -n -e 's/^Version: \([[:digit:]]\+:\)*\([^\+]*\).*/\2/p')
 
 define check_cvs_status
 	@echo "Checking CVS status for uncommited changes..."

## tmpreaper 1.6.15

=== debian/changelog ===
tmpreaper (1.6.15) unstable; urgency=medium

  * Acknowledge NMUs
  * Fixed typo in manpage, thanks to Georgios Doumas
  * Ensure all po translation files are UTF-8
  * Added pt_BR translation, thanks to Adriano Rafael Gomes
    closes:#811511
  * Update to debhelper 10.
    closes#965843
  * Complete list of targets in debian/rules.
    closes:#998946

 -- Paul Slootman <paul@debian.org>  Tue, 14 Dec 2021 12:56:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,8 @@
 	# automake
 	# autoconf
 	-[ -s Makefile ] && $(MAKE) clean
-	dh_clean stamp-h config.status config.log config.h Makefile build-stamp tmpreaper tmpreaper.8 stamp-h.in
+	dh_clean stamp-h config.status config.log config.h Makefile build-stamp tmpreaper tmpreaper.8 stamp-h.in debian/substvars
+	rm -rf .deps
 	debconf-updatepo
 	sleep 1
 	touch stamp-h.in
@@ -59,7 +60,7 @@
 binary-arch: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) DESTDIR=debian/tmpreaper install
 	dh_installdocs
@@ -81,8 +82,7 @@
 
 binary: binary-arch
 
-binary-indep:
-	@# dummy target, required by policy (see #395754)
-	@:
+%:
+	dh $@
 
 .PHONY: build clean binary-arch binary binary-indep

## tmpreaper 1.6.16

=== debian/changelog ===
tmpreaper (1.6.16) unstable; urgency=medium

  * Fix setting Debian version string in the binary.
    This fell over while updating to debhelper 10.
    closes:#1003819

 -- Paul Slootman <paul@debian.org>  Mon, 17 Jan 2022 14:14:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,6 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	./configure --prefix=/usr --mandir=/usr/share/man
-	make CPPFLAGS="-DDEBIAN" tmpreaper
 	./tmpreaper -h 2>&1 | grep 'tmpreaper -- Version: '$(debian_version)-DEB || (echo "You forgot to fix the VERSION in configure.ac!"; exit 1)
 	touch build-stamp
 
@@ -82,6 +80,9 @@
 
 binary: binary-arch
 
+build-arch:
+	CFLAGS="-DDEBIAN" dh build-arch
+
 %:
 	dh $@

## tmpreaper 1.6.17

=== debian/changelog ===
tmpreaper (1.6.17) unstable; urgency=medium

  * Fix version in configure.ac and re-added some disappeared lines from rules
    closes:#1011546

 -- Paul Slootman <paul@debian.org>  Wed, 15 Jun 2022 10:04:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Paul Slootman <paul@debian.org>
-Standards-Version: 3.8.3.0
+Standards-Version: 4.5.1.0
 Build-Depends: debhelper (>= 5), e2fslibs-dev, po-debconf, libmount-dev
 
 Package: tmpreaper

## tmpreaper 1.6.17%2Bnmu1build1

=== debian/changelog ===
tmpreaper (1.6.17+nmu1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:15 +1100

tmpreaper (1.6.17+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.
    closes:#1007540

 -- Bastian Germann <bage@debian.org>  Sun, 18 Feb 2024 15:28:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tmpreaper
 Section: admin
 Priority: optional
-Maintainer: Paul Slootman <paul@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
 Standards-Version: 4.5.1.0
 Build-Depends: debhelper (>= 5), e2fslibs-dev, po-debconf, libmount-dev

## tmpreaper 1.6.17+nmu1build1

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,8 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
+	./configure --prefix=/usr --mandir=/usr/share/man
+	make CPPFLAGS="-DDEBIAN" tmpreaper
 	./tmpreaper -h 2>&1 | grep 'tmpreaper -- Version: '$(debian_version)-DEB || (echo "You forgot to fix the VERSION in configure.ac!"; exit 1)
 	touch build-stamp

## tmpreaper 1.6.17+nmu2

=== debian/changelog ===
tmpreaper (1.6.17+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Hofstaedtler ]
  * Fix incorrect debconf template text, drop old upgrade code (Closes: #551171)
  * cron: check RUNFROMCRON first (Closes: #1004948)
  * Update Build-Depends: e2fslibs-dev to libext2fs-dev
  * B-D on new enough debhelper for preexisting debian/compat 10

  [ Vagrant Cascadian ]
  * Use -ffile-prefix-map to avoid embedding build path

  [ Helmut Grohne ]
  * Fix FTCBFS.
    Let dh_auto_configure pass --host to ./configure, avoid running ./configure
    (Closes: #877577)

  [ g1 ]
  * Fix incorrect variable usage, off-by-one (Closes: #1088036)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Jan 2025 01:23:28 +0100

## tmpreaper 1.6.18

=== debian/changelog ===
tmpreaper (1.6.18) unstable; urgency=medium

  * Acknowledge NMUs
  * fix embedded path in tmpreaper binary to help reproducible-builds
    already done in previous NMU [ Vagrant Cascadian ]
    closes: #1020650
  * Play nice with libpam-tmpdir (protect /tmp/user/[1-9]*/ in cron script)
    Perhaps not a complete fix, see #1050217
  * Add /tmp/emacs[0-9]* to default ignore list
    closes: #581777
  * Add /tmp/*.lock to default ignore list
    closes: #330667
  * Add /tmp/hsperfdata_* to default ignore list for JVM performance data
    closes: #583344
  * Don't recommend setting TMPTIME in /etc/default/rcS anymore, as that file
    is not installed by default anymore
    closes: #855057
  * First read tmpreaper.conf before even considering /etc/default/rcS; only
    do that if TMPREAPER_TIME is not set yet
    closes: #583299
  * If /etc/default/tmpreaper exists, source that file after reading
    tmpreaper.conf to allow local changes to be more easily preserved during
    updates.
    closes: #1014876
  * Handle very short-lived files giving lstat() ENOENT errors
    closes: #763858
  * Make tmpreaper more verbose with --verbose=2, patch from Bas Zoetekouw
    closes: #728309
  * updated translations, thanks to the translators
    closes: #1094510, #1099466, #1099586, #1099674, #1099730, #1099807, #1099945, #1099950, #1099952, #1100532, #1100553

 -- Paul Slootman <paul@debian.org>  Wed, 05 Mar 2025 14:18:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tmpreaper
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
+Maintainer: Paul Slootman <paul@debian.org>
 Standards-Version: 4.5.1.0
-Build-Depends: debhelper (>= 5), e2fslibs-dev, po-debconf, libmount-dev
+Build-Depends: debhelper (>= 10), libext2fs-dev, po-debconf, libmount-dev
 
 Package: tmpreaper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 package=tmpreaper
 
 SHELL := /bin/sh
-CC = gcc
 
 VERSION=$(shell dpkg-parsechangelog 2>/dev/null | perl -ne 'print "$$1_DEB" if /^Version:\s+(.*)/')
 
@@ -39,9 +38,9 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	./configure --prefix=/usr --mandir=/usr/share/man
-	make CPPFLAGS="-DDEBIAN" tmpreaper
-	./tmpreaper -h 2>&1 | grep 'tmpreaper -- Version: '$(debian_version)-DEB || (echo "You forgot to fix the VERSION in configure.ac!"; exit 1)
+	dh_auto_configure
+	make CFLAGS="-ffile-prefix-map=$(CURDIR)=." CPPFLAGS="-DDEBIAN" tmpreaper
+	grep -q -F 'tmpreaper -- Version: '$(debian_version)-DEB ./tmpreaper || (echo "You forgot to fix the VERSION in configure.ac!"; exit 1)
 	touch build-stamp
 
 clean:

## tmpreaper 1.6.18build1

=== debian/changelog ===
tmpreaper (1.6.18build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 21:54:25 +0100
